package com.steering.pss.plnsaleord.GpOptimize.model;

/**
 * 轧管订单排产对应管坯需求关系实体类
 * 
 * @author xiaohai-PC date 2016-05-16
 */
@SuppressWarnings("serial")
public class PlnZgSToGpEntity implements java.io.Serializable {
	public String getSupplyUnitCode() {
		return supplyUnitCode;
	}

	public void setSupplyUnitCode(String supplyUnitCode) {
		this.supplyUnitCode = supplyUnitCode;
	}

	private  String supplyUnitCode = "";

	public String getSupplyUnit() {
		return supplyUnit;
	}

	public void setSupplyUnit(String supplyUnit) {
		this.supplyUnit = supplyUnit;
	}

	private  String supplyUnit = "";

	public String getTypeFlag() {
		return typeFlag;
	}

	public void setTypeFlag(String typeFlag) {
		this.typeFlag = typeFlag;
	}

	private String typeFlag = "";
	/**
	 * 轧管订单编号
	 */
	private String proPlanId = "";
	/**
	 * 工序排产序号
	 */
	private String gxPlanNo = "";
	/**
	 * 投入物料编码
	 */
	private String inwlId = "";
	/**
	 * 投入物料描述
	 */
	private String inwlDesc = "";
	/**
	 * 单倍坯长
	 */
	private String lenGpSingle = "";
	/**
	 * 是否外购
	 */
	private String ifbuyplan = "";
	/**
	 * 是否炼钢监制
	 */
	private String ifMonitorLg = "";
	/**
	 * 监制编号
	 */
	private String prdcrNo = "";
	/**
	 * 默认管坯成分标准索引号(内控)
	 */
	private String cicGp = "";
	/**
	 * 默认管坯材质标准索引号(内控)
	 */
	private String picGp = "";
	/**
	 * 默认管坯公差标准索引号(内控)
	 */
	private String sicGp = "";
	/**
	 * 默认管坯探伤索引号(内控)
	 */
	private String dicGp = "";
	/**
	 * 默认管坯水压索引码(内控)
	 */
	private String wicGp = "";
	/**
	 * 默认管坯加工标准索引号(内控)
	 */
	private String gicGp = "";
	/**
	 * 管坯标准引号拼接字符串
	 */
	private String icJoint = "";
	/**
	 * 管坯需求编号
	 */
	private String gpreqId = "";
	/**
	 * 炼钢、铸造、锻造 制程
	 */
	private String process = "";

	/**
	 * 炼钢、铸造、锻造 制程
	 */
	public String getProcess() {
		return process;
	}

	/**
	 * 炼钢、铸造、锻造 制程
	 */
	public void setProcess(String process) {
		this.process = process;
	}

	/**
	 * 排产重量
	 */
	private String weigthS = "";
	/**
	 * 排产支数
	 */
	private String numS = "";
	/**
	 * 真空处理是否
	 */
	private String stationRoadLg = "";

	/**
	 * 真空处理是否
	 */
	public String getStationRoadLg() {
		return stationRoadLg;
	}

	/**
	 * 真空处理是否
	 */
	public void setStationRoadLg(String stationRoadLg) {
		this.stationRoadLg = stationRoadLg;
	}

	/**
	 * 需坯吨
	 */
	private String gpreqWeight = "";
	/**
	 * 需坯支
	 */
	private String gpreqNum = "";

	/**
	 * 需坯吨
	 */
	public String getGpreqWeight() {
		return gpreqWeight;
	}

	/**
	 * 需坯吨
	 */
	public void setGpreqWeight(String gpreqWeight) {
		this.gpreqWeight = gpreqWeight;
	}

	/**
	 * 需坯支
	 */
	public String getGpreqNum() {
		return gpreqNum;
	}

	/**
	 * 需坯支
	 */
	public void setGpreqNum(String gpreqNum) {
		this.gpreqNum = gpreqNum;
	}

	/**
	 * 分切数
	 */
	private String outnumCut = "";
	/**
	 * 管坯类型（1铸坯2锻坯）
	 */
	private String gptype = "";
	/**
	 * 铸造类型（1连铸2模铸）
	 */
	private String castingtype = "";
	/**
	 * 钢种代码
	 */
	private String gradecode = "";
	/**
	 * 钢种名称
	 */
	private String gradename = "";
	/**
	 * 管坯直径
	 */
	private String diameterGp = "";
	/**
	 * 数据正常
	 */
	private int succeed = 0;
	/**
	 * 原因
	 */
	private String reason = "";
	/**
	 * 生产年月
	 */
	private String proMonth = "";
	/**
	 * 合同紧急度
	 */
	private String priority = "";
	/**
	 * 紧急度备注
	 */
	private String priorityMemo = "";
	/**
	 *轧管产线
	 */
	private String plineCode = "";

	/**
	 * 合同紧急度
	 */
	public String getPriority() {
		return priority;
	}

	/**
	 * 合同紧急度
	 */
	public void setPriority(String priority) {
		this.priority = priority;
	}

	/**
	 * 紧急度备注
	 */
	public String getPriorityMemo() {
		return priorityMemo;
	}

	/**
	 * 紧急度备注
	 */
	public void setPriorityMemo(String priorityMemo) {
		this.priorityMemo = priorityMemo;
	}

	/**
	 *轧管产线
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 *轧管产线
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 生产年月
	 */
	public String getProMonth() {
		return proMonth;
	}

	/**
	 * 生产年月
	 */
	public void setProMonth(String proMonth) {
		this.proMonth = proMonth;
	}

	/**
	 * 投入物料编码
	 * 
	 * @return value
	 */
	public String getInwlId() {
		return inwlId;
	}

	/**
	 * 投入物料编码
	 * 
	 * @param inwlId
	 *            value
	 */
	public void setInwlId(String inwlId) {
		this.inwlId = inwlId;
	}

	/**
	 * 投入物料描述
	 * 
	 * @return value
	 */
	public String getInwlDesc() {
		return inwlDesc;
	}

	/**
	 * 投入物料描述
	 * 
	 * @param inwlDesc
	 *            value
	 */
	public void setInwlDesc(String inwlDesc) {
		this.inwlDesc = inwlDesc;
	}

	/**
	 * 单倍坯长
	 * 
	 * @return the lenGpSingle
	 */
	public String getLenGpSingle() {
		return lenGpSingle;
	}

	/**
	 * 单倍坯长
	 * 
	 * @param lenGpSingle
	 *            the lenGpSingle to set
	 */
	public void setLenGpSingle(String lenGpSingle) {
		this.lenGpSingle = lenGpSingle;
	}

	/**
	 * 是否外购
	 * 
	 * @return the ifbuyplan
	 */
	public String getIfbuyplan() {
		return ifbuyplan;
	}

	/**
	 * 是否外购
	 * 
	 * @param ifbuyplan
	 *            the ifbuyplan to set
	 */
	public void setIfbuyplan(String ifbuyplan) {
		this.ifbuyplan = ifbuyplan;
	}

	/**
	 * 是否炼钢监制
	 * 
	 * @return the ifMonitorLg
	 */
	public String getIfMonitorLg() {
		return ifMonitorLg;
	}

	/**
	 * 是否炼钢监制
	 * 
	 * @param ifMonitorLg
	 *            the ifMonitorLg to set
	 */
	public void setIfMonitorLg(String ifMonitorLg) {
		this.ifMonitorLg = ifMonitorLg;
	}

	/**
	 * 轧管订单编号
	 * 
	 * @return the proPlanId
	 */
	public String getProPlanId() {
		return proPlanId;
	}

	/**
	 * 轧管订单编号
	 * 
	 * @param proPlanId
	 *            the proPlanId to set
	 */
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	/**
	 * 工序排产序号
	 * 
	 * @return the gxPlanNo
	 */
	public String getGxPlanNo() {
		return gxPlanNo;
	}

	/**
	 * 工序排产序号
	 * 
	 * @param gxPlanNo
	 *            the gxPlanNo to set
	 */
	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	/**
	 * 管坯需求编号
	 * 
	 * @return the gpreqId
	 */
	public String getGpreqId() {
		return gpreqId;
	}

	/**
	 * 管坯需求编号
	 * 
	 * @param gpreqId
	 *            the gpreqId to set
	 */
	public void setGpreqId(String gpreqId) {
		this.gpreqId = gpreqId;
	}

	/**
	 * 监制编号
	 * 
	 * @return the prdcrNo
	 */
	public String getPrdcrNo() {
		return prdcrNo;
	}

	/**
	 * 监制编号
	 * 
	 * @param prdcrNo
	 *            the prdcrNo to set
	 */
	public void setPrdcrNo(String prdcrNo) {
		this.prdcrNo = prdcrNo;
	}

	/**
	 * 管坯标准引号拼接字符串
	 * 
	 * @return the icJoint
	 */
	public String getIcJoint() {
		return icJoint;
	}

	/**
	 * 管坯标准引号拼接字符串
	 * 
	 * @param icJoint
	 *            the icJoint to set
	 */
	public void setIcJoint(String icJoint) {
		this.icJoint = icJoint;
	}

	/**
	 * 排产重量
	 * 
	 * @return value
	 */
	public String getWeigthS() {
		return weigthS;
	}

	/**
	 * 排产重量
	 * 
	 * @param weigthS
	 *            value
	 */
	public void setWeigthS(String weigthS) {
		this.weigthS = weigthS;
	}

	/**
	 * 排产支数
	 * 
	 * @return value
	 */
	public String getNumS() {
		return numS;
	}

	/**
	 * 排产支数
	 * 
	 * @param numS
	 *            value
	 */
	public void setNumS(String numS) {
		this.numS = numS;
	}

	/**
	 * 管坯类型（1铸坯2锻坯）
	 * 
	 * @return value
	 */
	public String getGptype() {
		return gptype;
	}

	/**
	 * 管坯类型（1铸坯2锻坯）
	 * 
	 * @param gptype
	 *            value
	 */
	public void setGptype(String gptype) {
		this.gptype = gptype;
	}

	/**
	 * 铸造类型（1连铸2模铸）
	 * 
	 * @return value
	 */
	public String getCastingtype() {
		return castingtype;
	}

	/**
	 * 铸造类型（1连铸2模铸）
	 * 
	 * @param castingtype
	 *            value
	 */
	public void setCastingtype(String castingtype) {
		this.castingtype = castingtype;
	}

	/**
	 * 钢种代码
	 * 
	 * @return value
	 */
	public String getGradecode() {
		return gradecode;
	}

	/**
	 * 钢种代码
	 * 
	 * @param gradecode
	 *            value
	 */
	public void setGradecode(String gradecode) {
		this.gradecode = gradecode;
	}

	/**
	 * 钢种名称
	 * 
	 * @return value
	 */
	public String getGradename() {
		return gradename;
	}

	/**
	 * 钢种名称
	 * 
	 * @param gradename
	 *            value
	 */
	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	/**
	 * 管坯直径
	 * 
	 * @return value
	 */
	public String getDiameterGp() {
		return diameterGp;
	}

	/**
	 * 管坯直径
	 * 
	 * @param diameterGp
	 *            value
	 */
	public void setDiameterGp(String diameterGp) {
		this.diameterGp = diameterGp;
	}

	/**
	 * 默认管坯成分标准索引号(内控)
	 * 
	 * @return value
	 */
	public String getCicGp() {
		return cicGp;
	}

	/**
	 * 默认管坯成分标准索引号(内控)
	 * 
	 * @param cicGp
	 *            value
	 */
	public void setCicGp(String cicGp) {
		this.cicGp = cicGp;
	}

	/**
	 * 默认管坯材质标准索引号(内控)
	 * 
	 * @return value
	 */
	public String getPicGp() {
		return picGp;
	}

	/**
	 * 默认管坯材质标准索引号(内控)
	 * 
	 * @param picGp
	 *            value
	 */
	public void setPicGp(String picGp) {
		this.picGp = picGp;
	}

	/**
	 * 默认管坯公差标准索引号(内控)
	 * 
	 * @return value
	 */
	public String getSicGp() {
		return sicGp;
	}

	/**
	 * 默认管坯公差标准索引号(内控)
	 * 
	 * @param sicGp
	 *            value
	 */
	public void setSicGp(String sicGp) {
		this.sicGp = sicGp;
	}

	/**
	 * 默认管坯探伤索引号(内控)
	 * 
	 * @return value
	 */
	public String getDicGp() {
		return dicGp;
	}

	/**
	 * 默认管坯探伤索引号(内控)
	 * 
	 * @param dicGp
	 *            value
	 */
	public void setDicGp(String dicGp) {
		this.dicGp = dicGp;
	}

	/**
	 * 默认管坯水压索引码(内控)
	 * 
	 * @return value
	 */
	public String getWicGp() {
		return wicGp;
	}

	/**
	 * 默认管坯水压索引码(内控)
	 * 
	 * @param wicGp
	 *            value
	 */
	public void setWicGp(String wicGp) {
		this.wicGp = wicGp;
	}

	/**
	 * 默认管坯加工标准索引号(内控)
	 * 
	 * @return value
	 */
	public String getGicGp() {
		return gicGp;
	}

	/**
	 * 默认管坯加工标准索引号(内控)
	 * 
	 * @param gicGp
	 *            value
	 */
	public void setGicGp(String gicGp) {
		this.gicGp = gicGp;
	}

	/**
	 * 分切数
	 * 
	 * @return value
	 */
	public String getOutnumCut() {
		return outnumCut;
	}

	/**
	 * 分切数
	 * 
	 * @param outnumCut
	 *            value
	 */
	public void setOutnumCut(String outnumCut) {
		this.outnumCut = outnumCut;
	}

	/**
	 * 数据正常
	 * 
	 * @return the succeed
	 */
	public int getSucceed() {
		return succeed;
	}

	/**
	 * 数据正常
	 * 
	 * @param succeed
	 *            the succeed to set
	 */
	public void setSucceed(int succeed) {
		this.succeed = succeed;
	}

	/**
	 * 原因
	 * 
	 * @return the reason
	 */
	public String getReason() {
		return reason;
	}

	/**
	 * 原因
	 * 
	 * @param reason
	 *            the reason to set
	 */
	public void setReason(String reason) {
		this.reason = reason;
	}

	/**
	 * 管坯需求支
	 * 
	 * @param gicGp
	 *            value
	 */
	private String reallNum = "";
	/**
	 * 管坯需求吨
	 * 
	 * @param gicGp
	 *            value
	 */
	private String reallWt = "";

	/**
	 * 管坯需求支
	 * 
	 * @param gicGp
	 *            value
	 */
	public String getReallNum() {
		return reallNum;
	}

	/**
	 * 管坯需求支
	 * 
	 * @param gicGp
	 *            value
	 */
	public void setReallNum(String reallNum) {
		this.reallNum = reallNum;
	}

	/**
	 * 管坯需求吨
	 * 
	 * @param gicGp
	 *            value
	 */
	public String getReallWt() {
		return reallWt;
	}

	/**
	 * 管坯需求吨Min
	 * 
	 * @param gicGp
	 *            value
	 */
	private String reallWtMin = "";

	/**
	 * 管坯需求吨
	 * 
	 * @param gicGp
	 *            value
	 */
	public void setReallWt(String reallWt) {
		this.reallWt = reallWt;
	}

	/**
	 * 管坯需求吨Min
	 * 
	 * @param gicGp
	 *            value
	 */
	public String getReallWtMin() {
		return reallWtMin;
	}

	/**
	 * 管坯需求吨Min
	 * 
	 * @param gicGp
	 *            value
	 */
	public void setReallWtMin(String reallWtMin) {
		this.reallWtMin = reallWtMin;
	}

	/**
	 * 物流去向
	 */
	private String gowhereName = "";
	/**
	 * 物流去向代码
	 */
	private String gowhereCode = "";

	/**
	 * 物流去向
	 */
	public String getGowhereName() {
		return gowhereName;
	}

	/**
	 * 物流去向
	 */
	public void setGowhereName(String gowhereName) {
		this.gowhereName = gowhereName;
	}

	/**
	 * 物流去向代码
	 */
	public String getGowhereCode() {
		return gowhereCode;
	}

	/**
	 * 物流去向代码
	 */
	public void setGowhereCode(String gowhereCode) {
		this.gowhereCode = gowhereCode;
	}

	private String outsStlPipeFl = "";

	/**
	 * 外购管
	 */
	public String getOutsStlPipeFl() {
		return outsStlPipeFl;
	}

	/**
	 * 外购管
	 */
	public void setOutsStlPipeFl(String outsStlPipeFl) {
		this.outsStlPipeFl = outsStlPipeFl;
	}

}